<?php
/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

// {{{ requires
require_once CLASS_REALDIR . 'pages/admin/products/LC_Page_Admin_Products_Product.php';

/**
 * 商品登録 のページクラス(拡張).
 *
 * LC_Page_Admin_Products_Product をカスタマイズする場合はこのクラスを編集する.
 *
 * @package Page
 * @author LOCKON CO.,LTD.
 * @version $Id: LC_Page_Admin_Products_Product_Ex.php 21420 2012-01-22 19:49:37Z Seasoft $
 */
class LC_Page_Admin_Products_Product_Ex extends LC_Page_Admin_Products_Product {

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
    function init(){ 
        parent::init();
        $objFormParam = new SC_FormParam_Ex();
        $objFormParam->addParam("初回課金金額", "ac_total", INT_LEN, "KVa", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
        $objFormParam->addParam("初回課金間隔", "first_interval", INT_LEN, "KVa", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
        $objFormParam->addParam("次回課金日", "ac_next_date", INT_LEN, "KVa", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
        $objFormParam->addParam("決済間隔", "ac_interval", INT_LEN, "KVa", array("MAX_LENGTH_CHECK"));
        $arrForm['ac_total'] = "";
        $arrForm['first_interval'] = "";
        $arrForm['ac_next_date'] = "";
        $arrForm['ac_interval'] = "";
        $this->arrFirstInterval = array();
        $this->arrFirstInterval['--'] = "--";
        for ($i=1; $i<=12; $i++){
            $this->arrFirstInterval[$i] = $i;
        }
        $this->arrNextdate = array();
        $this->arrNextdate['--'] = "--";
        for ($i=1; $i<=31; $i++){
            $this->arrNextdate[$i] = $i;
        }
        $this->arrInterval = array();
        $this->arrInterval['--'] = "--";
        for ($i=1; $i<=12; $i++){
            $this->arrInterval[$i] = $i;
        }
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() { 
        parent::process(); 
        $mode = $this->getMode();
        switch ($mode) {
            case 'pre_edit':
            case 'copy' :
                $objQuery =& SC_Query_Ex::getSingletonInstance();
                $array_col = array(
                             'plg_remiseautocharge_total' => 'plg_remiseautocharge_total',
                             'plg_remiseautocharge_next_date' => 'plg_remiseautocharge_next_date',
                             'plg_remiseautocharge_interval' => 'plg_remiseautocharge_interval', 
                             'plg_remiseautocharge_first_interval'=> 'plg_remiseautocharge_first_interval'
                                   );
                $exist_col = $objQuery->extractOnlyColsOf("dtb_products", $array_col); //カラムがあるときのみ検索を行う
                if(count($exist_col)) {
                    $col = 'plg_remiseautocharge_total,plg_remiseautocharge_next_date, plg_remiseautocharge_interval, plg_remiseautocharge_first_interval';
                    $array_ac_products = $objQuery->select($col, "dtb_products", "product_id = ?", array($this->arrForm["product_id"]));
                    // ページ表示用パラメーター設定
                    $this->arrForm['ac_total'] = $array_ac_products['plg_remiseautocharge_total'];
                    $this->arrForm['first_interval'] = $array_ac_products['plg_remiseautocharge_first_interval'];
                    $this->arrForm['ac_next_date'] = $array_ac_products['plg_remiseautocharge_next_date'];
                    $this->arrForm['ac_interval'] = $array_ac_products['plg_remiseautocharge_interval'];
                }
                break;

            case 'edit':
                break;

            case 'complete':

                break;


            // 関連商品選択
            case 'recommend_select' :
                break;

            // 確認ページからの戻り
            case 'confirm_return':
                $this->arrForm['ac_total'] = $post['ac_total'];
                $this->arrForm['first_interval'] = $post['first_interval'];
                $this->arrForm['ac_next_date'] = $post['ac_next_date'];
                $this->arrForm['ac_interval'] = $post['ac_interval'];
                break;

            default:
                break;
        }

    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }
}
?>